#!/bin/sh
#
#
. ./proc-helper
#
release_ver="1.3.0~202403"

echo "*****************************************"
echo "*** Script zur Anpassung der Firmware ***"
echo "*****************************************"
echo

check=`cat /lib/gluon/release | grep $release_ver`
if [ "$check" == "" ]
then
###########################################
echo
echo "Dieses Patch ist fuer diese Version der Firmware NICHT geeignet!"
echo
echo "Bitte eine passende Version herunterladen (falls ueberhaupt ein Patch erforderlich ist) und"
echo "diese dann ausfuehren ..."
echo
###########################################
else
###########################################
echo "-> passe Config-Vorgaben an ffhal an..."
###########################################
ffhal_params_and_files

##3xuci set gluon-setup-mode.@setup_mode[0].configured='1'
echo

###########################################
##32echo "-> setze Netzwerk-Parameter zu ffhal..."
###########################################
##32echo -n "."; uci set fastd.sample_config.mtu='1426'
##32echo -n "."; uci set fastd.mesh_vpn.mtu='1426'
##32echo -n "."; uci set network.mesh_vpn.mtu='1426'
##32echo -n "."; uci set network.local_node_dev.macaddr='02:dd:9e:0b:50:1c'
##32echo -n "."; uci set network.local_node.ipaddr='10.62.0.100/16'
##32echo -n "."; uci set network.local_node.ip6addr='fd0f:8db3:d50a::100/128'
##32echo -n "."; uci set network.local_node_route6.target='fd0f:8db3:d50a::/64'
##nowdate=`date -u +"%Y %m %d %H %M"`
##set -- `echo $nowdate`
##yr=$1; mn=$2; dy=$3; hr=$4; mi=$5
##echo "8"; uci set system.@system[0].hostname="ffhal-CPE210v3-$yr$mn$dy$hr$mi"
##32devdata=`ip a s dev eth0`; set -- `echo $devdata`; devdata=`echo $15`; devdata=`echo $devdata | sed  's/://g'`
###echo "8"; uci set system.@system[0].hostname="ffhal-CPE210v3-adaptiert"
##32echo "ok";   uci set system.@system[0].hostname="ffhal-$devdata"
##32echo

###########################################
##3yecho "-> passe weitere Netzwerkeintrge an..."
###########################################
##32echo -n "."; uci set network.mesh_radio0=interface
##32echo -n "."; uci set network.mesh_radio0.proto='gluon_mesh'
##3yecho -n "."; uci del network.mesh_wan.index
##3yecho -n "."; uci set network.mesh_wan.auto='0'
##3yecho -n "."; uci set network.mesh_wan.fixed_mtu='1'
##3yecho -n "."; uci set network.mesh_wan.proto='gluon_mesh'
##3yecho -n "."; uci del network.client.ra_holdoff
##3yecho -n "."; uci del network.gluon_bat0.gw_mode
##3yecho "ok";   uci set network.mesh_wan.disabled='1'

##3yuci commit
##3yecho

##########################################
# bermittlung der Infos an die Seite
# passiert in Halle mit respondd,
# allerdings funktioniert das mit der
# Version vom Image nicht
#
# Update:
# das war ein Irrtum. Eine Anpassung der
# Parameter beim internen Aufruf behebt das
##########################################
echo "-> kopiere Dateien von respondd..."
###########################################
respondd_files
###echo

###########################################
# for debug...                            #
###########################################
# echo "21S"; uci set fastd.mesh_vpn.secret='10c0ac0a49bed094c6b1f1eda54fc73efc3c5ff36834028c4dc2ee8ce5414b47'
##echo "VPN Secret"; uci set fastd.mesh_vpn.secret='f06c8d61b610b607f6ce205a4ee3786c0081e578d11c05632dde9e00370a2078'
##echo "Contact"   ; uci set gluon-node-info.@owner[0].contact='freifunk@faramo.de'
##                   uci set system.@system[0].hostname='y02dev-avmFB7312'
###########################################

uci commit
echo

###########################################
echo "-> passe ntp Einstellungen an..."
###########################################
echo -n "."; uci del system.ntp.server

#echo -n "."; uci add_list system.ntp.server='time1.service.ffhal'
#echo -n "."; uci add_list system.ntp.server='time2.service.ffhal'
echo -n "."; uci add_list system.ntp.server='fd0f:8db3:d50a:0:208:a1ff:fe25:cf0a'
echo -n "."; uci add_list system.ntp.server='131.188.3.220'
echo -n "."; uci add_list system.ntp.server='131.188.3.221'
echo -n "."; uci add_list system.ntp.server='131.188.3.222'
echo -n "."; uci add_list system.ntp.server='192.53.103.108'
echo "ok";

uci commit
echo

###########################################
echo "-> DAC524's Workaround wegen mesh0..."
###########################################
dac524_files
echo

###########################################
# uci set uhttpd.defaults.commonname='LEDE'
##3xecho
###echo

###########################################
echo "-> passe WLAN Einstellungen an..."
###########################################
# uci del wireless.radio0.legacy_rates

echo -n "."; uci del wireless.radio0.supported_rates 2> /dev/null

echo -n "."; uci add_list wireless.radio0.supported_rates='6000'
echo -n "."; uci add_list wireless.radio0.supported_rates='9000'
echo -n "."; uci add_list wireless.radio0.supported_rates='12000'
echo -n "."; uci add_list wireless.radio0.supported_rates='18000'
echo -n "."; uci add_list wireless.radio0.supported_rates='24000'
echo -n "."; uci add_list wireless.radio0.supported_rates='36000'
echo -n "."; uci add_list wireless.radio0.supported_rates='48000'
echo -n "."; uci add_list wireless.radio0.supported_rates='54000'

echo -n "."; uci del wireless.radio0.basic_rate 2> /dev/null

echo -n "."; uci add_list wireless.radio0.basic_rate='6000'
echo -n "."; uci add_list wireless.radio0.basic_rate='9000'
echo -n "."; uci add_list wireless.radio0.basic_rate='18000'
echo -n "."; uci add_list wireless.radio0.basic_rate='36000'
echo -n "."; uci add_list wireless.radio0.basic_rate='54000'

echo "...ok"

uci commit
echo

v_respond=$(pidof respondd)
if [ $v_respond ]
then
 echo -n "WLAN restart...."
 wifi
 echo "ok"
fi

###########################################
echo "-> passe LED-Steuerung an..."
###########################################
echo -n "."; uci set system.led_dsl.sysfs='green:power'
echo -n "."; uci set system.led_dsl.mode='link'

echo "ok"

uci commit
echo

cp -f /tmp/store/led-changer.sh  /usr/libexec
chmod 755 /usr/libexec/led-changer.sh
cp -f /tmp/store/led-changer     /usr/lib/micron.d
chmod 644 /usr/lib/micron.d/led-changer

if [ $v_respond ]
then
 /etc/init.d/micrond restart   # doesn't run in config mode
fi

echo -n "LED  : "; /etc/init.d/led reload
echo

###########################################
if [ $v_respond ]
then
echo
echo "Falls der Router nicht wie erwartet normal funktionieren sollte,"
echo "bitte die laufenden Dienste ueberpruefen und ggf. neu starten. Im Zweifelsfall hilft reboot ..."
echo
else
echo
echo "Um alle Aenderungen zu uebernehmen, den Router bitte jetzt neu starten!"
echo "Dies laesst sich hier mit dem Kommando reboot erreichen."
echo
fi
###########################################
fi
